## ksyntax-highlighting 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.116.0")
project(KSyntaxHighlighting VERSION ${KF_VERSION})

find_package(ECM 5.116.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)
include(ECMOptionalAddSubdirectory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMQmlModule)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX SyntaxHighlighting
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksyntaxhighlighting_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfigVersion.cmake"
)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

#
# Dependencies
#
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on QtGui" ON)
if(KSYNTAXHIGHLIGHTING_USE_GUI)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui)
endif()
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS PrintSupport Widgets Quick)
set_package_properties(Qt${QT_MAJOR_VERSION} PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt${QT_MAJOR_VERSION}Widgets PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt${QT_MAJOR_VERSION}PrintSupport PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt${QT_MAJOR_VERSION}Quick PROPERTIES PURPOSE "QtQuick bindings.")

# QXmlPatters was removed in Qt6
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS XmlPatterns)
    set_package_properties(Qt5XmlPatterns PROPERTIES PURPOSE "Compile-time validation of syntax definition files.")
endif()

find_package(Perl REQUIRED)
set_package_properties(Perl PROPERTIES PURPOSE "Auto-generate PHP syntax definition files.")

#
# allow to install the "differently" licensed syntax xml files instead of putting them in a QRC and link them in
#
option(QRC_SYNTAX "Bundle the syntax definition files inside the library as resources" ON)
add_feature_info(SYNTAX_RESOURCE ${QRC_SYNTAX} "Bundle the syntax definition files inside the library as resources")

#
# allow to turn of lookup for syntax files and themes via QStandardPaths
#
option(NO_STANDARD_PATHS "Skip lookup of syntax and theme definitions in QStandardPaths locations" OFF)
add_feature_info(FEATURE_NO_STANDARD_PATHS ${NO_STANDARD_PATHS} "Skip lookup of syntax and theme definitions in QStandardPaths locations")

#
# API documentation
#
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

#
# Translations
#
ecm_install_po_files_as_qm(poqm)

# tell the framework if it shall use the syntax files from the resource
if (QRC_SYNTAX)
    add_definitions(-DHAS_SYNTAX_RESOURCE)
endif()

# skip standard paths?
if (NO_STANDARD_PATHS)
    add_definitions(-DNO_STANDARD_PATHS)
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

#
# Actually build the stuff
#
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(data)
add_subdirectory(src)
if(TARGET Qt${QT_MAJOR_VERSION}::Gui)
    add_subdirectory(examples)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
    endif()
endif()

#
# CMake package config file generation
#
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5SyntaxHighlighting")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5SyntaxHighlighting_QCH
        FILE KF5SyntaxHighlightingQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5SyntaxHighlightingQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5SyntaxHighlightingConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if(TARGET KF5SyntaxHighlighting)
    install(EXPORT KF5SyntaxHighlightingTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5SyntaxHighlightingTargets.cmake
        NAMESPACE KF5::)
endif()

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ksyntaxhighlighting_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KSyntaxHighlighting"
        COMPONENT Devel)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add target to update kate-editor.org syntax page + update site
add_custom_target(update_kate_editor_org
    COMMAND "${PERL_EXECUTABLE}" "${CMAKE_CURRENT_SOURCE_DIR}/utils/update-kate-editor-org.pl" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}")

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
#
# test configuration
#
configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)

#
# helper to update the references for the unit tests
#
configure_file(update-reference-data.sh.in ${CMAKE_CURRENT_BINARY_DIR}/update-reference-data.sh)

#
# unit tests
# always executed during testing, required to pass, else stuff is in a bad shape ;=)
#
add_executable(wildcardmatcher_test wildcardmatcher_test.cpp)
ecm_mark_nongui_executable(wildcardmatcher_test)
add_test(NAME wildcardmatcher_test COMMAND wildcardmatcher_test)
target_link_libraries(wildcardmatcher_test KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

add_executable(repository_test repository_test_base.cpp repository_test.cpp)
ecm_mark_nongui_executable(repository_test)
add_test(NAME repository_test COMMAND repository_test)
target_link_libraries(repository_test KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

add_executable(theme_test theme_test.cpp)
ecm_mark_nongui_executable(theme_test)
add_test(NAME theme_test COMMAND theme_test)
target_link_libraries(theme_test KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

add_executable(testhighlighter_test testhighlighter.cpp)
ecm_mark_nongui_executable(testhighlighter_test)
add_test(NAME testhighlighter_test COMMAND testhighlighter_test)
target_link_libraries(testhighlighter_test KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

add_executable(htmlhighlighter_test htmlhighlighter_test.cpp)
ecm_mark_nongui_executable(htmlhighlighter_test)
add_test(NAME htmlhighlighter_test COMMAND htmlhighlighter_test)
target_link_libraries(htmlhighlighter_test KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

add_executable(folding_test foldingtest.cpp)
ecm_mark_nongui_executable(folding_test)
add_test(NAME folding_test COMMAND folding_test)
target_link_libraries(folding_test KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

#
# benchmarks, don't execute during normal testing
# they don't test additional stuff but only hang the CI
#
add_executable(highlighter_benchmark highlighter_benchmark.cpp)
ecm_mark_nongui_executable(highlighter_benchmark)
add_test(NAME highlighter_benchmark COMMAND highlighter_benchmark CONFIGURATIONS BENCHMARK)
target_link_libraries(highlighter_benchmark KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

add_executable(repository_benchmark repository_test_base.cpp repository_benchmark.cpp)
ecm_mark_nongui_executable(repository_benchmark)
add_test(NAME repository_benchmark COMMAND repository_benchmark CONFIGURATIONS BENCHMARK)
target_link_libraries(repository_benchmark KF5SyntaxHighlighting Qt${QT_MAJOR_VERSION}::Test)

=== examples/codepdfprinter/CMakeLists.txt ===
if(TARGET Qt${QT_MAJOR_VERSION}::Widgets AND TARGET Qt${QT_MAJOR_VERSION}::PrintSupport)
    add_executable(codepdfprinter codepdfprinter.cpp main.cpp)
    target_link_libraries(codepdfprinter Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::PrintSupport KF5SyntaxHighlighting)
endif()

=== examples/minimal/CMakeLists.txt ===
if(TARGET Qt${QT_MAJOR_VERSION}::Widgets)
    add_executable(minimal main.cpp)
    target_link_libraries(minimal Qt${QT_MAJOR_VERSION}::Widgets KF5SyntaxHighlighting)
endif()

=== debian/changelog ===
ksyntax-highlighting (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:49:22 +0100

ksyntax-highlighting (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:47:48 +0100

ksyntax-highlighting (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:36:39 +0000

ksyntax-highlighting (5.115.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:23:21 +0000

ksyntax-highlighting (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:11:06 -0700

=== debian/control ===
Source: ksyntax-highlighting
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               perl,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/syntax-highlighting
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
Rules-Requires-Root: no

Package: libkf5syntaxhighlighting-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Syntax highlighting Engine - translations
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package provides the translations.

Package: libkf5syntaxhighlighting-dev
Section: libdevel
Architecture: any
Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
         libqt5xmlpatterns5-dev (>= 5.15.2~),
         qml-module-org-kde-syntaxhighlighting (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
Multi-Arch: same
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Contains development files for libkf5syntaxhighlighting5.

Package: libkf5syntaxhighlighting-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: Syntax highlighting Engine (documentation)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: libkf5syntaxhighlighting-tools
Architecture: any
Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Provides additional tools for libkf5syntaxhighlighting5

Package: libkf5syntaxhighlighting5
Architecture: any
Multi-Arch: same
Breaks: libkf5texteditor5 (<< 5.54)
Depends: libkf5syntaxhighlighting-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: qml-module-org-kde-syntaxhighlighting
Architecture: any
Multi-Arch: same
Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine (QML module)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package contains the QtQuick QML module.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/syntax-highlighting-(.*)\.tar\.xz

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20250926.0526

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20250926.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:26:29 +0000

ksyntax-highlighting (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:46:24 +1000

ksyntax-highlighting (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:48:07 +0000

ksyntax-highlighting (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:33:31 +0000

ksyntax-highlighting (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:12:20 +0000

ksyntax-highlighting (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:55:40 +0000

ksyntax-highlighting (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Nov 2023 13:14:52 +0000

ksyntax-highlighting (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:36:22 +0000

ksyntax-highlighting (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 04:28:22 +0000

ksyntax-highlighting (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:20:43 +0000

ksyntax-highlighting (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:51:44 +0000

ksyntax-highlighting (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:11:32 +0000

ksyntax-highlighting (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:05:31 +0000

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20250928.0545

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20250928.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:46:06 +0000

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20251015.0804

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0")
+set(KF_VERSION "5.117.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
 find_package(ECM 5.116.0 REQUIRED NO_MODULE)

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20251015.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:04:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: ksyntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.116.0~),
+               extra-cmake-modules (>= 5.51.0~),
+               graphviz,
                libqt5sql5-sqlite,
-               libqt5xmlpatterns5-dev (>= 5.15.2~),
+               libqt5xmlpatterns5-dev (>= 5.8.0~),
                perl,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
-               qttools5-dev (>= 5.4),
-Standards-Version: 4.6.0
-Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
-Rules-Requires-Root: no
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev,
+               qttools5-dev (>= 5.4)
+Standards-Version: 4.1.4
+Homepage: https://projects.kde.org/projects/frameworks/syntax-highlighting
+Vcs-Git: https://invent.kde.org/neon/kde/syntax-highlighting.git
+Vcs-Browser: https://invent.kde.org/neon/kde/syntax-highlighting
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libkf5syntaxhighlighting-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Syntax highlighting Engine - translations
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -39,12 +38,13 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
-         libqt5xmlpatterns5-dev (>= 5.15.2~),
+         libqt5xmlpatterns5-dev (>= 5.8.0~),
          qml-module-org-kde-syntaxhighlighting (= ${binary:Version}),
-         qtbase5-dev (>= 5.15.2~),
-         ${misc:Depends},
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends}
 Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
-Multi-Arch: same
+Breaks: libkf5syntaxhighlighting-doc (<< 5.61.90-0)
+Replaces: libkf5syntaxhighlighting-doc (<< 5.61.90-0)
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -72,7 +72,7 @@
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -86,10 +86,10 @@
 Package: libkf5syntaxhighlighting5
 Architecture: any
 Multi-Arch: same
-Breaks: libkf5texteditor5 (<< 5.54)
+Breaks: libkf5texteditor5 (<< 5.51)
 Depends: libkf5syntaxhighlighting-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -101,10 +101,10 @@
 Package: qml-module-org-kde-syntaxhighlighting
 Architecture: any
 Multi-Arch: same
-Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
+Depends: libkf5syntaxhighlighting5 (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Description: Syntax highlighting Engine (QML module)
+         ${shlibs:Depends}
+Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
  text editors as well as for simple highlighted text

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         kded5,
         kinit,
         libkf5dbusaddons-bin,
         libkf5parts5,
         libkf5service-bin,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20251019.0339

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20251019.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:39:44 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/frameworks/5([\d\.]*)/syntax-highlighting-(.*)\.tar\.xz

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20251031.0724

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20251031.0724-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:24:16 +0000

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20251212.0050

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20251212.0050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 00:50:55 +0000

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20260122.1233

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20260122.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:33:58 +0000

## ksyntax-highlighting 5.116.0+p24.04+vstable+git20260131.1259

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vstable+git20260131.1259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:59:51 +0000

## ksyntax-highlighting 5.116.0+p24.04+vunstable+git20251020.0144

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vunstable+git20251020.0144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:44:49 +0000

## ksyntax-highlighting 5.116.0+p24.04+vunstable+git20251126.0109

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vunstable+git20251126.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 01:09:31 +0000

## ksyntax-highlighting 5.116.0+p24.04+vunstable+git20251204.0122

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vunstable+git20251204.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:22:31 +0000

## ksyntax-highlighting 5.116.0+p24.04+vunstable+git20260123.0215

=== debian/changelog ===
ksyntax-highlighting (5.116.0+p24.04+vunstable+git20260123.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:15:53 +0000
